< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600
-  package calculations
  Definition Classes
    v3
-  package retriever
  Definition Classes
    v3
- B1
- B145
- B150
- B155
- B160
- B165
- B170
- B190
- B2
- B205
- B235
- B275
- B280
- B285
- B295
- B3
- B30
- B300
- B305
- B315
- B325
- B330
- B335
- B340
- B345
- B35
- B350
- B355
- B360
- B380
- B385
- B390
- B395
- B4
- B40
- B400
- B405
- B410
- B430
- B440
- B45
- B45Input
- B475
- B480
- B485
- B5
- B50
- B510
- B515
- B520
- B525
- B527
- B528
- B55
- B586
- B595
- B6
- B600
- B605
- B620
- B65
- B690
- B695
- B7
- B700
- B705
- B710
- B711
- B735
- B750
- B755
- B760
- B765
- B771
- B775
- B780
- B8
- B80A
- B85A
- B860
- B865
- B870
- B90A
- B920
- B925
- B930
- B935
- B940
- B945
- B95
- B950
- B955
- B960
- B960_1
- B960_2
- B960_3
- B960_5
- B965
- B970
- B975
- B980
- B985
- BFQ1
- N092
- PAYEEQ1
- REPAYMENTSQ1

c

uk.gov.hmrc.ct.ct600.v3

# B586 

###
Companion object B586

#### case class B586(value: Option[BigDecimal]) extends CtBoxIdentifier with CtOptionalBigDecimal with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CtOptionalBigDecimal, OptionalCtValue[BigDecimal], CtValue[Option[BigDecimal]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. B586
2. Serializable
3. Serializable
4. Product
5. Equals
6. CtOptionalBigDecimal
7. OptionalCtValue
8. CtValue
9. CtBoxIdentifier
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new B586(value: Option[BigDecimal])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def asBoxString: Option[String]
   Definition Classes
     CtValue
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def asInt: Option[Int]
   Definition Classes
     CtOptionalBigDecimal
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
12.  def id: String
    Definition Classes
      CtBoxIdentifier
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  def isPositive: Boolean
    Definition Classes
      CtOptionalBigDecimal
15.  def minus(other: CtOptionalBigDecimal): BigDecimal
    Definition Classes
      CtOptionalBigDecimal
16.  def minus(other: CtBigDecimal): BigDecimal
    Definition Classes
      CtOptionalBigDecimal
17.  def minus(other: BigDecimal): BigDecimal
    Definition Classes
      CtOptionalBigDecimal
18.  val name: String
    Definition Classes
      CtBoxIdentifier
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def orZero: BigDecimal
    Definition Classes
      CtOptionalBigDecimal
24.  def plus(other: CtOptionalBigDecimal): BigDecimal
    Definition Classes
      CtOptionalBigDecimal
25.  def plus(other: CtBigDecimal): BigDecimal
    Definition Classes
      CtOptionalBigDecimal
26.  def plus(other: BigDecimal): BigDecimal
    Definition Classes
      CtOptionalBigDecimal
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  val value: Option[BigDecimal]
    Definition Classes
      B586 → CtValue
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CtOptionalBigDecimal

### Inherited from OptionalCtValue[BigDecimal]

### Inherited from CtValue[Option[BigDecimal]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped